Bug 8593 - Add unique IDs to pending approval markup on staff client home page
Summary: Add unique IDs to pending approval markup on staff client home page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low minor (vote)
Assignee: Jorgia
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-08 08:17 UTC by Jorgia
Modified: 2013-12-05 19:59 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
edited intranet-main file (1.19 KB, patch)
2012-08-08 08:17 UTC, Jorgia
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8593 - Add unique IDs to pending approval markup on staff client home page (1.41 KB, patch)
2012-08-08 12:33 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 8593 - Follow-up - Add unique IDs to pending approval markup on staff client home page (1.64 KB, patch)
2012-08-08 12:41 UTC, Owen Leonard
Details | Diff | Splinter Review
edited intranet-main file (box version) (14.55 KB, patch)
2012-08-09 04:01 UTC, Jorgia
Details | Diff | Splinter Review
edited intranet-main file (without box version) (1.00 KB, patch)
2012-08-09 04:29 UTC, Jorgia
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8593 - Follow-up - Add unique IDs to pending approval (1.66 KB, patch)
2012-08-09 04:36 UTC, Jorgia
Details | Diff | Splinter Review
bug 8593: css file for the box version of "suggestions pending" (1.66 KB, patch)
2012-08-09 04:53 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 8593. css script version of "suggestions pending" without box (1020 bytes, patch)
2012-08-09 05:07 UTC, Chris Cormack
Details | Diff | Splinter Review
Screenshot of CSS option 1 (38.53 KB, image/png)
2012-08-14 17:15 UTC, Owen Leonard
Details
Screenshot of CSS option 2 (36.82 KB, image/png)
2012-08-14 17:15 UTC, Owen Leonard
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jorgia 2012-08-08 08:17:43 UTC Comment hidden (obsolete)
Comment 1 Owen Leonard 2012-08-08 12:33:57 UTC
Created attachment 11442 [details] [review]
[SIGNED-OFF] Bug 8593 - Add unique IDs to pending approval markup on staff client home page

edited the intranet main-tt file. updated "suggestions pending". (w box)

http://bugs.koha-community.org/show_bug.cgi?id=8593
Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 2 Owen Leonard 2012-08-08 12:41:01 UTC Comment hidden (obsolete)
Comment 3 Jorgia 2012-08-09 04:01:03 UTC Comment hidden (obsolete)
Comment 4 Jorgia 2012-08-09 04:29:53 UTC Comment hidden (obsolete)
Comment 5 Jorgia 2012-08-09 04:36:44 UTC
Created attachment 11464 [details] [review]
[SIGNED-OFF] Bug 8593 - Follow-up - Add unique IDs to pending approval
Comment 6 Chris Cormack 2012-08-09 04:53:56 UTC
Created attachment 11466 [details] [review]
bug 8593: css file for the box version of "suggestions pending"
Comment 7 Chris Cormack 2012-08-09 05:07:08 UTC
Created attachment 11468 [details] [review]
Bug 8593. css script version of "suggestions pending" without box
Comment 8 Jared Camins-Esakov 2012-08-11 17:27:11 UTC
I am confused by the patches on this bug. Does one (or more) supersede one (or more) of the others? It seems like the second two might be alternatives, where one or the other can be used, but not both. Is this true? Which one is being proposed for inclusion in Koha?
Comment 9 Chris Cormack 2012-08-12 09:21:15 UTC
The first 2 are needed, then they next 2 are alternatives we can't decide which look we prefer.
Comment 10 Owen Leonard 2012-08-14 17:15:05 UTC
Created attachment 11613 [details]
Screenshot of CSS option 1
Comment 11 Owen Leonard 2012-08-14 17:15:30 UTC
Created attachment 11616 [details]
Screenshot of CSS option 2
Comment 12 Owen Leonard 2012-08-14 17:16:38 UTC
I prefer the display as we have it now. The markup updates makes it easy for someone to add their own custom style to these links, and I think we should leave it at that for now.
Comment 13 Owen Leonard 2012-08-15 14:29:02 UTC
I'm going to mark this as "signed off" so that the first couple of patches can go through QA. If anyone wants to argue for the inclusion of one of the attached CSS revisions they can comment and add their signoff.
Comment 14 Ian Walls 2012-08-17 17:10:54 UTC
First two patches are template only changes adding IDs to tags.  Marking them Passed QA.  The debate of what CSS styling to do with them can be resolved separately.
Comment 15 Paul Poulain 2012-08-31 21:47:44 UTC
(In reply to comment #14)
> First two patches are template only changes adding IDs to tags.  Marking
> them Passed QA.  The debate of what CSS styling to do with them can be
> resolved separately.

I agree with Owen, and this we don't need to push more than the 2 first patches.

2 patch pushed
Comment 16 Chris Cormack 2012-09-01 08:02:12 UTC
With the css, this drops back to a bug fix. Adding ids allows people to style the page with no risk of any harm.

Pushed to 3.8.x, will be in 3.8.5